=== modules/acc/Makefile ===
# $Id: Makefile,v 1.3 2002/10/24 15:26:59 jiri Exp $
#
# acc module makefile
#
#
# WARNING: do not run this directly, it should be run by the master Makefile

auto_gen=
NAME=acc.so
LIBS=
#DEFS+=-DSQL_ACC

include ../../Makefile.modules
