=== modules/auth/Makefile ===
# $Id: Makefile,v 1.1 2001/12/18 00:28:14 janakj Rel $
#
# print example module makefile
#
# 
# WARNING: do not run this directly, it should be run by the master Makefile

auto_gen=
NAME=auth.so
LIBS=

include ../../Makefile.modules
