=== modules/cpl-c/Makefile ===
# $Id: Makefile,v 1.1 2002/08/14 16:24:37 bogdan Rel $
#
# example module makefile
#
# 
# WARNING: do not run this directly, it should be run by the master Makefile

auto_gen=
NAME=cpl-c.so
LIBS= -L/usr/lib -lxml

include ../../Makefile.modules
