=== modules/cpl/Makefile ===
# $Id: Makefile,v 1.1 2002/02/01 16:23:17 bogdan Rel $
#
# example module makefile
#
# 
# WARNING: do not run this directly, it should be run by the master Makefile

auto_gen=
NAME=cpl.so
LIBS= #-lpthread

include ../../Makefile.modules
