=== modules/exec/Makefile ===
# $Id: Makefile,v 1.2 2002/09/24 16:16:20 andrei Rel $
#
# exec module makefile
#
# 
# WARNING: do not run this directly, it should be run by the master Makefile

auto_gen=
NAME=exec.so
LIBS=

include ../../Makefile.modules
