=== modules/ext/Makefile ===
# $Id: Makefile,v 1.1 2002/07/08 11:04:35 bogdan Rel $
#
# example module makefile
#
# 
# WARNING: do not run this directly, it should be run by the master Makefile

auto_gen=
NAME=ext.so
LIBS= 

include ../../Makefile.modules
