=== modules/im/Makefile ===
# $Id: Makefile,v 1.1 2002/05/22 18:35:25 bogdan Rel $
#
# example module makefile
#
# 
# WARNING: do not run this directly, it should be run by the master Makefile

auto_gen=
NAME=im.so
LIBS= 

include ../../Makefile.modules
