=== modules/jabber/Makefile ===
# $Id: Makefile,v 1.4 2002/11/11 21:34:53 andrei Exp $
#
# example module makefile
#
# 
# WARNING: do not run this directly, it should be run by the master Makefile

auto_gen=
NAME=jabber.so
# expat.h location
DEFS+=-I/usr/local/include
LIBS=-L/usr/local/lib -lexpat

include ../../Makefile.modules
