=== modules/maxfwd/Makefile ===
# $Id: Makefile,v 1.1 2002/01/25 22:08:57 bogdan Rel $
#
# example module makefile
#
# 
# WARNING: do not run this directly, it should be run by the master Makefile

auto_gen=
NAME=maxfwd.so
LIBS= #-lpthread

include ../../Makefile.modules
