=== modules/msilo/Makefile ===
# $Id: Makefile,v 1.4 2002/09/30 20:02:12 andrei Exp $
#
# example module makefile
#
# 
# WARNING: do not run this directly, it should be run by the master Makefile

auto_gen=
NAME=msilo.so
LIBS=

include ../../Makefile.modules
