=== debian/changelog ===
ser (0.8.10) unstable; urgency=low

  * fixes lots of  bugs in 0.8.9 (log not working, ipv6 address conversion)
  
  * introduces port support in uri matching with myself
  
  * faster hash function (statefull performance increase ~10%)

  * modules updates (sms, jabber)

  * the jabber module is in a separate package now (it depends on libexpat)

 -- Andrei Pelinescu-Onciul <pelinescu-onciul@fokus.gmd.de>  Tue, 4 Nov 2002 17:23:37 +0200

ser (0.8.9) unstable; urgency=low

  * fixes a few bugs in 0.8.8 (primary some modules which where linked to some bad libs)

 -- Andrei Pelinescu-Onciul <pelinescu-onciul@fokus.gmd.de>  Wed, 7 Oct 2002 16:49:05 +0200

ser (0.8.8) unstable; urgency=low

  * first release (really this time)

 -- Andrei Pelinescu-Onciul <pelinescu-onciul@fokus.gmd.de>  Wed, 25 Sep 2002 23:27:11 +0200

ser (0.8.7.16) unstable; urgency=low

  * First Public Release.

 -- Andrei Pelinescu-Onciul <pelinescu-onciul@fokus.gmd.de>  Tue, 24 Sep 2002 21:33:39 +0200

ser (0.8.7.6-1) unstable; urgency=low

  * Initial Release.

 -- Andrei Pelinescu-Onciul <pelinescu-onciul@fokus.gmd.de>  Tue, 16 Jul 2002 15:41:31 +0200
